# $Revision: 1.7 $, $Date: 2005/07/28 15:11:12 $
Summary:	Display a message using GTK+2 (like xmessage)
Summary(pl):	Program wywietlajcy komunikat uywajc GTK+2 (podobny do xmessage)
Name:		gxmessage
Version:	2.4.4
Release:	1
License:	GPL
Group:		X11/Applications
Source0:	http://homepages.ihug.co.nz/~trmusson/stuff/%{name}-%{version}.tar.gz
# Source0-md5:	dc9b7b029d5acbaf5e7b913e38589c8e
URL:		http://homepages.ihug.co.nz/~trmusson/programs.html#gxmessage
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gettext-devel
BuildRequires:	gtk+2-devel >= 2:2.4.0
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
gxmessage is a GTK+2 based clone of xmessage. I is used to display a
message box with a text specified on the command line, a file or via a
pipe.

%description -l pl
gxmessage jest klonem xmessage korzystajcym z GTK+2. Mona go
wykorzysta do wywietlania okienek z tekstem podanym z linii polece,
pliku lub potoku.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

cp -r examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc README AUTHORS ChangeLog
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/gxmessage.1.*
%{_pixmapsdir}/*.png
%{_examplesdir}/%{name}-%{version}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gxmessage.spec,v $
Revision 1.7  2005/07/28 15:11:12  saq
- up to 2.4.4

Revision 1.6  2005/02/24 23:27:25  aniolek
- updated to 2.4.1

Revision 1.5  2004/11/30 07:59:39  paladine
- updated to 2.4.0

Revision 1.4  2004/11/27 18:52:07  saq
- massive attack: add missing gtk+2-devel epoch in BR

Revision 1.3  2004/11/27 15:17:06  zbyniu
- BR: pkgconfig

Revision 1.2  2004/06/17 08:59:11  qboosh
- typo, cosmetics

Revision 1.1  2004/06/17 08:49:49  jpc
- new spec
